import request from '@/utils/request'

// 分页查询任务列表
export function getTaskList(query) {
  return request({
    url: 'backendApi/task/list',
    method: 'get',
    params: query,
  })
}

// 查询任务信息
export function getTaskInfo(id) {
  return request({
    url: 'backendApi/task/info/' + id,
    method: 'get',
  })
}

// 更新任务状态
export function updateTaskStatus(id, status) {
  const data = {
    id,
    status,
  }
  return request({
    url: 'backendApi/task/updateStatus',
    method: 'post',
    data,
  })
}

// 保存任务
export function saveTask(data) {
  return request({
    url: 'backendApi/task/save',
    method: 'post',
    data,
  })
}

// 查询公共任务列表（merchant_id=0,store_id=0）
export function getPublicTaskList(query) {
  return request({
    url: 'backendApi/task/publicList',
    method: 'get',
    params: query,
  })
}

// 导入公共任务
export function importPublicTask(data) {
  return request({
    url: 'backendApi/task/importPublic',
    method: 'post',
    data,
  })
}

// 查询任务完成记录
export function getTaskRecordList(query) {
  return request({
    url: 'backendApi/task/recordList',
    method: 'get',
    params: query,
  })
}
